// avr-g++ -mmcu=atmega324p -Os -Wall -o test.elf test.c 
// avr-objcopy -j .text -j .data -O ihex test.elf test.hex 
#define F_CPU 16000000 
#include <avr/io.h> 
#include <util/delay.h> 

void servo_rotate() { 
	
	for ( int j = 0; j < 2; j++) {
		int n = 1;
		while(n <= 23) { 
			PORTB |= (1 << PB4); 
			for(int i = 0; i < n; i++){
		 	_delay_us(50); 
		} 
		PORTB &= ~(1 << PB4); 
		_delay_ms(120); 
		n++;
	} 

		PORTB |= (1 << PB4); 
		for(int i = 0; i < 3; i++){
			 _delay_us(75); 
		} 
		PORTB &= ~(1 << PB4); 
		_delay_ms(120); 

		PORTB |= (1 << PB4); 
		for(int i = 0; i < 3; i++){
			 _delay_us(72);
		} 
		PORTB &= ~(1 << PB4);
		_delay_ms(120);

		PORTB |= (1 << PB4); 
		for(int i = 0; i < 3; i++){
			 _delay_us(80);
		} 
		PORTB &= ~(1 << PB4);  
	}	
 
}

int main() {
	DDRB |= (1 << PB4); 
	
	servo_rotate();
	return 0;
}
